#include <iostream>
#include <string>
#include <climits>
using namespace std;

int main()
{
    string s,t;
    cin>>t>>s;
    int a[256],minimum=INT_MAX,ind,m=0;

    for(int i=0;i<256;i++)
        a[i]=0;
    for(int i=0;i<t.size();i++)
    {
        for(int j=0;j<s.size();j++)
            if(t[i]==s[j])
            {
                a[t[i]]++;
                break;
            }
    }
    for(int i=0;i<256;i++)
    {
        if(a[i]==0);
        else if(a[i]<minimum)
        {
           minimum=a[i];
           ind=i;
        }
    }
    
    for(int i=0;i<t.size();i++)
    {
        if(t[i]==(char)ind)
        {
            t[i]=(char)42;
            m++;
        }
    }
    cout<<m<<endl<<t;
    return 0;
}